summaryrefslogtreecommitdiff
path: root/sys-auth
diff options
context:
space:
mode:
authorCtibor <ctibor.brancik@seznam.cz>2015-11-05 23:57:10 +0100
committerCtibor <ctibor.brancik@seznam.cz>2015-11-05 23:57:10 +0100
commit5e2fc559ea77684bcb43eac6e8f1e2f864ce4685 (patch)
tree5ad5306800ebc8a488e93f84e22c370ed2ecf927 /sys-auth
parent18db54f27909c6892cdabf5cfb9d2cc517d36351 (diff)
downloadbrancik-overlay-5e2fc559ea77684bcb43eac6e8f1e2f864ce4685.tar.gz
brancik-overlay-5e2fc559ea77684bcb43eac6e8f1e2f864ce4685.tar.bz2
Updated config file for sys-auth/poldi and fixed declaration in ebuild.
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/poldi/files/poldi.conf.example24
-rw-r--r--sys-auth/poldi/poldi-0.4.1.ebuild30
2 files changed, 33 insertions, 21 deletions
diff --git a/sys-auth/poldi/files/poldi.conf.example b/sys-auth/poldi/files/poldi.conf.example
index ca8ec5c..3fed157 100644
--- a/sys-auth/poldi/files/poldi.conf.example
+++ b/sys-auth/poldi/files/poldi.conf.example
@@ -1,10 +1,14 @@
-#See `info poldi`
-
-#ctapi-driver <driver name>
-#pcsc-driver <driver name>
-#reader-port <reader port>
-#disable-ccid
-#disable-opensc
-#debug-ccid-driver
-#fake-wait-for-card
-#logfile
+# This is the main configuration file of Poldi.
+
+# Specify authentication method:
+# (supported methods: localdb, x509)
+auth-method localdb
+
+# Specify the log file:
+log-file /var/log/poldi
+
+# Enable debugging messages
+debug
+
+# Specify SCDaemon executable
+scdaemon-program /usr/lib/gnupg2/scdaemon
diff --git a/sys-auth/poldi/poldi-0.4.1.ebuild b/sys-auth/poldi/poldi-0.4.1.ebuild
index e971f75..2493cff 100644
--- a/sys-auth/poldi/poldi-0.4.1.ebuild
+++ b/sys-auth/poldi/poldi-0.4.1.ebuild
@@ -3,31 +3,39 @@
# $Header: $
EAPI=5
+
inherit pam
-DESCRIPTION="PAM module implementing authentication via OpenPGP smartcards"
+DESCRIPTION="Poldi is a PAM module implementing authentication via OpenPGP smartcards."
HOMEPAGE="http://www.gnupg.org/"
SRC_URI="ftp://ftp.gnupg.org/gcrypt/alpha/poldi/${P}.tar.bz2"
-
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~x86"
IUSE="usb"
-
DEPEND="dev-libs/libgcrypt
virtual/pam
>=dev-libs/libgpg-error-0.7
- usb? ( >=dev-libs/libusb-0.1.10a )"
-RDEPEND="${DEPEND}"
+ usb? ( >=dev-libs/libusb-0.1.10a sys-apps/hotplug )"
+
+RDEPEND=${DEPEND}
src_prepare() {
- epatch "${FILESDIR}"/*.diff
+ epatch "${FILESDIR}/01-debian-specific-0.4.1.diff"
+ epatch "${FILESDIR}/02-ldflags-0.4.1.diff"
+ epatch "${FILESDIR}/03-fix-auth-localdb.diff"
+}
+
+src_compile() {
+ econf || die "econf failed"
+ emake || die "emake failed"
}
src_install() {
- default
- dopammod "${S}"/src/pam/pam_poldi.so
- dodoc AUTHORS ChangeLog INSTALL NEWS README THANKS
+ einstall || die "einstall failed"
+ dopammod ${S}/src/pam/pam_poldi.so
+ #ChangeLog and INSTALL are not usefull
+ dodoc AUTHORS COPYING NEWS README THANKS
dodir /etc/poldi
- cp "${FILESDIR}"/poldi.conf.example "${D}"/etc/poldi
+ cp ${FILESDIR}/poldi.conf.example ${D}/etc/poldi
}